Subject: Re: bug#59662: 29.0.50; [PATCH] Add treesit--indent-defun

From: Theodor Thornhill <[email-masked]>
Date: Thu, 08 Dec 2022 07:02:47 +0100

Would you mind describing why?
>>> 
>>> Yes, sorry. I’m planning to change treesit-beginning-of-defun and treesit-end-of-defun so they can behave differently according to user configuration, basically they can decide whether to skip nested defuns or not. If we use these functions rather than re-implementing their logic (to some extent) in c-ts-mode-indent-defun, any improvement to defun navigation would automatically benefit c-ts-mode-indent-defun.
>>> 
>>> Yuan
>> 
>> Thanks for explaining your rationale. 
>> 
>> By the way, there's an issue with the patch you applied:
>> 
>> void
>> foo()
>> {
>>  ...
>> }
>> 
>> If point is at the v in void, the current implementation will not reinvent. I didn't get time to debug yet, though. Possibly that will be fixed after your rework as well.
>
>Ah, thanks, I’ll fix that. And I’ll ask for your opinion before making changes next time, however innocent I thought the change is :-)
>
>Yuan

No stress, just wanted to point it out, but thanks!

Theo